<script type="workflow-page">
	
	var page =
	{
	    items:
	    [    
			{
				type: "HEADING",
				text: "Device Sleep Value"
			},
			{
				id:   "sleep-time",
				type: "SUBHEADING",
				text: ""
			}
		],

	    navigationItems:
	    [
			{
				type: "TEXT",
				text: "Retrieve Setting",
				onClick: onContinueClick,
			}	
      	]
	};
	
	function init()
	{
        //var assessmentStr = Workflow.getProperty(Properties.SwapUserAssessment);
	}	 

	function onContinueClick()
	{
		console.log("onContinueClick");

		Workflow.getDeviceSetting("root.screen.sleep", onSettingResponse)
	}

	function onSettingResponse(aSuccess, aResponse)
    {
        console.log("onSettingResponse, Success: " +aSuccess+ ", Response: " +JSON.stringify(aResponse));

        var sleepValue = WorkflowUtils.getDeviceSettingValue(aResponse, "screenofftime");

        console.log("onSettingResponse, Sleep Time: " +sleepValue);

        Workflow.setPageItemField("sleep-time", "text", sleepValue)
    }
</script>

