<script type="workflow-page">
	
	var PROPERTY = Properties.ScreenStatus;

	var page =
	{
	    items:
	    [
			{
				type:  "HEADINGICON",
				value: "images/icon-crack.png"
			},	    
			{
				type: "HEADING",
				text: "Screen Damage"
			},
			{
				type: "SUBHEADING",
				text: "Does your screen have any cracks?"
			},
			{
				type: "CARROUSEL",
				choices:
				[
					{
						value:    Const.CONDITION_GOOD,
						image:    "images/device-as-new.png",
						text:     "No cracks",
						appState: MMRSAPPSTATE.EVERGREEN_CRACK_CHECK_GOOD						
					},
					{
						value:    Const.CONDITION_MINOR_DAMAGE,
						image:    "images/device-screen-cracked.png",
						text:     "Cracked screen",
						appState: MMRSAPPSTATE.EVERGREEN_CRACK_CHECK_BAD

					}
				],
				onClick: onCarrouselClick			
			}			
		],

	    navigationItems:
	    [
			{
				id:   "next",
				type: "TEXT",
				text: "Next",
				onClick: onNextClick,
				hide: true
			}		
      	]
	};

	var mAppState = null;

	function onCarrouselClick(aChoice)
	{
		console.log("onCarrouselClick: " +aChoice.value);

		mAppState = aChoice.appState;

		var status = JSON.stringify({ details: aChoice.text, level: aChoice.value });

		Workflow.setProperty(PROPERTY, status);

		var navItems = Workflow.getNavigationItems();

		Workflow.setVisibility(navItems[0], true);
	}

	function onNextClick()
	{
		Workflow.setAppState(mAppState);

		Workflow.popPage();
	}

</script>

