<script type="workflow-page">

    var page = {
        items: [
            {
                type:  "HEADINGICON",
                value: "images/icon-device.png"
            },
            {
                type: "HEADING",
                text: "You can upgrade now from"
            },
            {
                type: "PRICE",
                text: "$" + getSwapPrice()
            },
            {
                type: "HEADING-TEXT",
                text: "based on the condition of your device."
            }
        ],

        navigationItems: [
            {
                type: "TEXT",
                text: "How to upgrade",
                onClick: Workflow.moveToNextPage,
            }
        ]
    };

    function init() {
    }

    function getSwapPrice() {
        var assessment = getAssessment();

        if (assessment == null) {
            return "";
        }

        var swapPrice = assessment.swapPrice;

        return swapPrice;
    }

    function getAssessment() {
        //console.log(">> getAssessment");

        var assessmentStr = Workflow.readValue(Properties.UserReportSwapAssessment);

        //console.log("getAssessment, Assessment: " +assessmentStr);

        if (assessmentStr == null || assessmentStr == "") {
            console.log("getAssessment, No user Assessment recorded");
            return;
        }

        var assessment = JSON.parse(assessmentStr);

        console.log("<< getAssessment, Got assessment: ");
        console.log(assessment);

        var damageLevel = assessment.maxDamageLevel;

        if (damageLevel != null) {
            var appState = damageLevel == Const.CONDITION_MAJOR_DAMAGE ?
                MMRSAPPSTATE.EVERGREEN_UPGRADE_QUOTE_BAD  :
                MMRSAPPSTATE.EVERGREEN_UPGRADE_QUOTE_GOOD;

            Workflow.setAppState(appState);
        }

        return assessment;
    }

</script>
